/* overlay (background)*********************/
.overlay {
  /* Height & width depends on how you want to reveal the overlay (see JS) */    
  height: 0%;
  width: 100%;
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  background-color: rgb(0,0,0); /* Black fallback color */
  background-color: rgba(0,0,0, 0.9); /* Black w/opacity */
  overflow-x: hidden; /* Disable horizontal scroll */
  transition: 0.5s; /* 0.5 second transition effect to slide in or slide down the overlay (height or width, depending on reveal) */
}

/* Position the content inside the overlay */
.overlay-content {
  position: relative;
  top: 10%; /* 25% from the top */
  width:90%; /* 100% width */
  text-align: left; /* Centered text/links */
  margin-top: 10px; /* 30px top margin to avoid conflict with the close button on smaller screens */
}

/* The navigation links inside the overlay */
.overlay a {
  padding: 4px;
  text-decoration: none;
  font-size: 36px;
  color: #818181;
  display: block; /* Display block instead of inline */
  transition: 0.3s; /* Transition effects on hover (color) */
}

/* When you mouse over the navigation links, change their color */
.overlay a:hover, .overlay a:focus {
  color: #f1f1f1;
}

/* Position the close button (top right corner) */
.overlay .closebtn {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 60px;
}

/* When the height of the screen is less than 450 pixels, change the font-size of the links and position the close button again, so they don't overlap */
@media screen and (max-height: 450px) {
  .overlay a {font-size: 20px}
  .overlay .closebtn {
	font-size: 40px;
	top: 10px;
	right: 10px;
  }
}
/* overlayLog (background)*********************/
.overlayLog {
  /* Height & width depends on how you want to reveal the overlayLog (see JS) */    
  height: 0%;
  width: 100%;
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  background-color: rgb(0,0,0); /* Black fallback color */
  background-color: rgba(0,0,0, 0.9); /* Black w/opacity */
  overflow-x: hidden; /* Disable horizontal scroll */
  transition: 0.5s; /* 0.5 second transition effect to slide in or slide down the overlayLog (height or width, depending on reveal) */
}

/* Position the content inside the overlayLog */
.overlayLog-content {
  position: relative;
  top: 10%; /* 25% from the top */
  width:90%; /* 100% width */
  text-align: left; /* Centered text/links */
  margin-top: 10px; /* 30px top margin to avoid conflict with the close button on smaller screens */
}

/* The navigation links inside the overlayLog */
.overlayLog a {
  padding: 4px;
  text-decoration: none;
  font-size: 36px;
  color: #818181;
  display: block; /* Display block instead of inline */
  transition: 0.3s; /* Transition effects on hover (color) */
}

/* When you mouse over the navigation links, change their color */
.overlayLog a:hover, .overlayLog a:focus {
  color: #f1f1f1;
}

/* Position the close button (top right corner) */
.overlayLog .closebtn {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 60px;
}

/* When the height of the screen is less than 450 pixels, change the font-size of the links and position the close button again, so they don't overlap */
@media screen and (max-height: 450px) {
  .overlayLog a {font-size: 20px}
  .overlayLog .closebtn {
	font-size: 40px;
	top: 10px;
	right: 10px;
  }
}

/*OverlayAdd*****************************/
/* The OverlayAdd (background) */
.OverlayAdd {
  /* Height & width depends on how you want to reveal the OverlayAdd (see JS) */    
  height: 0%;
  width: 100%;
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  background-color: rgb(0,0,0); /* Black fallback color */
  background-color: rgba(0,0,0, 0.9); /* Black w/opacity */
  overflow-x: hidden; /* Disable horizontal scroll */
  transition: 0.5s; /* 0.5 second transition effect to slide in or slide down the OverlayAdd (height or width, depending on reveal) */
}

/* Position the content inside the OverlayAdd */
.OverlayAdd-content {
  position: relative;
  top: 10%; /* 25% from the top */
  width:90%; /* 100% width */
  text-align: left; /* Centered text/links */
  margin-top: 10px; /* 30px top margin to avoid conflict with the close button on smaller screens */
}

/* The navigation links inside the OverlayAdd */
.OverlayAdd a {
  padding: 4px;
  text-decoration: none;
  font-size: 36px;
  color: #818181;
  display: block; /* Display block instead of inline */
  transition: 0.3s; /* Transition effects on hover (color) */
}

/* When you mouse over the navigation links, change their color */
.OverlayAdd a:hover, .OverlayAdd a:focus {
  color: #f1f1f1;
}

/* Position the close button (top right corner) */
.OverlayAdd .closebtn {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 60px; 
}

/* When the height of the screen is less than 450 pixels, change the font-size of the links and position the close button again, so they don't overlap */
@media screen and (max-height: 450px) {
  .OverlayAdd a {font-size: 20px}
  .OverlayAdd .closebtn {
	font-size: 40px;
	top: 10px;
	right: 10px;
  }
}

/*OverlayPref*****************************/
/* The OverlayPref (background) */
.OverlayPref {
  /* Height & width depends on how you want to reveal the OverlayPref (see JS) */    
  height: 0%;
  width: 100%;
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  background-color: rgb(0,0,0); /* Black fallback color */
  background-color: rgba(0,0,0, 0.9); /* Black w/opacity */
  overflow-x: hidden; /* Disable horizontal scroll */
  transition: 0.5s; /* 0.5 second transition effect to slide in or slide down the OverlayPref (height or width, depending on reveal) */
}

/* Position the content inside the OverlayPref */
.OverlayPref-content {
  position: relative;
  top: 10%; /* 25% from the top */
  width:90%; /* 100% width */
  text-align: left; /* Centered text/links */
  margin-top: 10px; /* 30px top margin to avoid conflict with the close button on smaller screens */
}

/* The navigation links inside the OverlayPref */
.OverlayPref a {
  padding: 4px;
  text-decoration: none;
  font-size: 36px;
  color: #818181;
  display: block; /* Display block instead of inline */
  transition: 0.3s; /* Transition effects on hover (color) */
}

/* When you mouse over the navigation links, change their color */
.OverlayPref a:hover, .OverlayPref a:focus {
  color: #f1f1f1;
}

/* Position the close button (top right corner) */
.OverlayPref .closebtn {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 60px;
}

/* When the height of the screen is less than 450 pixels, change the font-size of the links and position the close button again, so they don't overlap */
@media screen and (max-height: 450px) {
  .OverlayPref a {font-size: 20px}
  .OverlayPref .closebtn {
	font-size: 40px;
	top: 10px;
	right: 10px;
  }
}